using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	 public interface IPaymentStorage
	 {
		List<PaymentViewModel> GetFullList();
		List<PaymentViewModel> GetFilteredList(PaymentSearchModel model);
		PaymentViewModel? GetElement(PaymentSearchModel model);
		List<PaymentViewModel> GetPaymentsByCourses(PaymentSearchModel model);
		PaymentViewModel? Insert(PaymentBindingModel model);
		PaymentViewModel? Update(PaymentBindingModel model);
		PaymentViewModel? Delete(PaymentBindingModel model);
	 }
}
